features:
  secondary:
    - name: "Disable self-approval at the instance level"
      available_in: [premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/ee/user/admin_area/merge_requests_approvals.html'
      reporter: mattgonzales
      stage: manage
      categories:
        - "Compliance Management"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/39060'
      description: |
        We've introduced new instance-level settings to prevent unwanted changes to merge request approval settings by bringing some of the merge request approval settings from the project settings into the Admin Area. This will give administrators better control of their deployments and allow them to maintain separation of duties when deploying code.

        By enabling these settings at the instance level, all projects in a self-managed instance are forced to adopt these settings, and only administrators can change them for an individual project. This new enforcement capability ensures only approved deployments make it into production and brings your GitLab projects into a more compliant state.
